Cocoon API: Class XSPContextLibrary

Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cocoon.processor.xsp.library
Class XSPContextLibrary

    java.lang.Object
      |
      +--org.apache.cocoon.processor.xsp.library.XSPContextLibrary

public class XSPContextLibrary
extends java.lang.Object

Constructor Summary
`XSPContextLibrary()`

Method Summary
`static org.w3c.dom.Element` | `getAttribute(javax.servlet.ServletContext context, java.lang.String name, org.w3c.dom.Document document)`
`static java.lang.String[]` | `getAttributeNames(javax.servlet.ServletContext context)`
`static org.w3c.dom.Element` | `getAttributeNames(javax.servlet.ServletContext context, org.w3c.dom.Document document)`
`static org.w3c.dom.Element` | `getInitParameter(javax.servlet.ServletContext context, java.lang.String name, org.w3c.dom.Document document)`
`static java.lang.String[]` | `getInitParameterNames(javax.servlet.ServletContext context)`
`static org.w3c.dom.Element` | `getInitParameterNames(javax.servlet.ServletContext context, org.w3c.dom.Document document)`
`static org.w3c.dom.Element` | `getMajorVersion(javax.servlet.ServletContext context, org.w3c.dom.Document document)`
`static org.w3c.dom.Element` | `getMimeType(javax.servlet.ServletContext context, java.lang.String file, org.w3c.dom.Document document)`
`static org.w3c.dom.Element` | `getMinorVersion(javax.servlet.ServletContext context, org.w3c.dom.Document document)`
`static org.w3c.dom.Element` | `getRealPath(javax.servlet.ServletContext context, java.lang.String path, org.w3c.dom.Document document)`
`static org.w3c.dom.Element` | `getServerInfo(javax.servlet.ServletContext context, org.w3c.dom.Document document)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XSPContextLibrary

    public XSPContextLibrary()

Method Detail

### getAttribute

    public static org.w3c.dom.Element getAttribute(javax.servlet.ServletContext context,
                                                   java.lang.String name,
                                                   org.w3c.dom.Document document)

### getAttributeNames

    public static java.lang.String[] getAttributeNames(javax.servlet.ServletContext context)

### getAttributeNames

    public static org.w3c.dom.Element getAttributeNames(javax.servlet.ServletContext context,
                                                        org.w3c.dom.Document document)

### getInitParameter

    public static org.w3c.dom.Element getInitParameter(javax.servlet.ServletContext context,
                                                       java.lang.String name,
                                                       org.w3c.dom.Document document)

### getInitParameterNames

    public static java.lang.String[] getInitParameterNames(javax.servlet.ServletContext context)

### getInitParameterNames

    public static org.w3c.dom.Element getInitParameterNames(javax.servlet.ServletContext context,
                                                            org.w3c.dom.Document document)

### getMajorVersion

    public static org.w3c.dom.Element getMajorVersion(javax.servlet.ServletContext context,
                                                      org.w3c.dom.Document document)

### getMinorVersion

    public static org.w3c.dom.Element getMinorVersion(javax.servlet.ServletContext context,
                                                      org.w3c.dom.Document document)

### getMimeType

    public static org.w3c.dom.Element getMimeType(javax.servlet.ServletContext context,
                                                  java.lang.String file,
                                                  org.w3c.dom.Document document)

### getRealPath

    public static org.w3c.dom.Element getRealPath(javax.servlet.ServletContext context,
                                                  java.lang.String path,
                                                  org.w3c.dom.Document document)

### getServerInfo

    public static org.w3c.dom.Element getServerInfo(javax.servlet.ServletContext context,
                                                    org.w3c.dom.Document document)

Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2001 Apache Software Foundation. All Rights Reserved.